# ImportWizardPageSource (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.wizard

## Class ImportWizardPageSource

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.wizard.WizardPage
    - - org.deidentifier.arx.gui.view.impl.wizard.ImportWizardPageSource

- All Implemented Interfaces:
    org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

      public class ImportWizardPageSource
      extends org.eclipse.jface.wizard.WizardPage

  Source selection page This page provides means to select the source the user wants to import data from. Once the user makes a choice, it is stored stored using `ImportWizardModel.setSourceType(SourceType)` and the page is marked as completed. These source types are supported:
  - `ImportWizardPageCSV` CSV
  - `ImportWizardPageJDBC` Database (JDBC)
  - `ImportWizardPageExcel` Excel (XLS, XLSX)

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

      `ERROR, INFORMATION, NONE, WARNING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImportWizardPageSource(ImportWizard wizardImport)` Creates a new instance of this page and sets its title and description.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createControl(org.eclipse.swt.widgets.Composite parent)` Creates the design of this page This adds all the controls to the page along with their listeners.

    - ### Methods inherited from class org.eclipse.jface.wizard.WizardPage

      `canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

    - ### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

      `convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage, setVisible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

      `dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

- - ### Constructor Detail

    - #### ImportWizardPageSource

          public ImportWizardPageSource(ImportWizard wizardImport)

      Creates a new instance of this page and sets its title and description.
      Parameters:
        `wizardImport` - Reference to wizard containing this page

  - ### Method Detail

    - #### createControl

          public void createControl(org.eclipse.swt.widgets.Composite parent)

      Creates the design of this page This adds all the controls to the page along with their listeners. It basically waits for any radio button to be pressed, which will mark the page as completed and lets the user proceed to the next page.
      Parameters:
        `parent` -